LibreOffice: com/sun/star/uno/Type.hxx File Reference

LibreOffice LibreOffice 26.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Type.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include <ostream>`
`#include "com/sun/star/uno/Type.h"`
`#include "cppu/unotype.hxx"`

Go to the source code of this file.

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno

## Functions
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const ::com::sun::star::uno::Type *)
const ::com::sun::star::uno::Type & | getCppuVoidType ()
| Gets the meta type of IDL type void.
const ::com::sun::star::uno::Type & | getVoidCppuType ()
| Gets the meta type of IDL type void.
const ::com::sun::star::uno::Type & | getCppuBooleanType ()
| Gets the meta type of IDL type boolean.
const ::com::sun::star::uno::Type & | getBooleanCppuType ()
| Gets the meta type of IDL type boolean.
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_Bool *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER bool const *)
const ::com::sun::star::uno::Type & | getCharCppuType ()
| Gets the meta type of IDL type char.
const ::com::sun::star::uno::Type & | getCppuCharType ()
| Gets the meta type of IDL type char.
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_Int8 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const ::rtl::OUString *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_Int16 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_uInt16 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_Int32 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_uInt32 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_Int64 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const sal_uInt64 *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const float *)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const double *)
template<typename T>
const ::com::sun::star::uno::Type & | getCppuType ()
| Gets the meta type of an IDL type.
template<>
const ::com::sun::star::uno::Type & | getCppuType< sal_Unicode > ()
| Gets the meta type of IDL type char.

## Variables
template<class T>
typelib_TypeDescriptionReference * | com::sun::star::uno::Array< T >::s_pType = NULL

## Function Documentation

## ◆ getBooleanCppuType()

const ::com::sun::star::uno::Type & getBooleanCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type boolean.

Returns
  type of IDL type boolean

Deprecated
  Use cppu::UnoType instead.

## ◆ getCharCppuType()

const ::com::sun::star::uno::Type & getCharCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated
  Use cppu::UnoType instead.

## ◆ getCppuBooleanType()

const ::com::sun::star::uno::Type & getCppuBooleanType | ( |  | ) |
| inline

Gets the meta type of IDL type boolean.

Returns
  type of IDL type boolean

Deprecated
  Use cppu::UnoType instead.

## ◆ getCppuCharType()

const ::com::sun::star::uno::Type & getCppuCharType | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated
  Use cppu::UnoType instead.

## ◆ getCppuType() [1/14]

template<typename T>

const ::com::sun::star::uno::Type & getCppuType | ( |  | ) |
| inline

Gets the meta type of an IDL type.

The difference between this function template (with a type parameter) and the overloaded getCppuType function with a single (dummy) parameter of a specific type is that this function template may not work for the UNO type "unsigned short" (sal_uInt16 in C++), while the overloaded one-parameter function may not work for the UNO type "char" (sal_Unicode in C++, which may have the same underlying C++ type as sal_uInt16 on certain platforms).

Returns
  type of the given IDL type

Deprecated
  Use cppu::UnoType instead (or the internal-only cppu::getTypeFavourChar). Also note that getCppuType< com::sun::star::uno::Sequence< sal_Unicode > >() does not work as expected.

Since
  UDK 3.2.0

## ◆ getCppuType() [2/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER bool const * |  | ) |
| inline

## ◆ getCppuType() [3/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const ::com::sun::star::uno::Type * |  | ) |
| inline

## ◆ getCppuType() [4/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const ::rtl::OUString * |  | ) |
| inline

## ◆ getCppuType() [5/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const double * |  | ) |
| inline

## ◆ getCppuType() [6/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const float * |  | ) |
| inline

## ◆ getCppuType() [7/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_Bool * |  | ) |
| inline

## ◆ getCppuType() [8/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_Int16 * |  | ) |
| inline

## ◆ getCppuType() [9/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_Int32 * |  | ) |
| inline

## ◆ getCppuType() [10/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_Int64 * |  | ) |
| inline

## ◆ getCppuType() [11/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_Int8 * |  | ) |
| inline

## ◆ getCppuType() [12/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_uInt16 * |  | ) |
| inline

## ◆ getCppuType() [13/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_uInt32 * |  | ) |
| inline

## ◆ getCppuType() [14/14]

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const sal_uInt64 * |  | ) |
| inline

## ◆ getCppuType< sal_Unicode >()

template<>

const ::com::sun::star::uno::Type & getCppuType< sal_Unicode > | ( |  | ) |
| inline

Gets the meta type of IDL type char.

Returns
  type of IDL type char

Deprecated
  Use cppu::UnoType instead (or the internal-only cppu::getTypeFavourChar). Also note that getCppuType< com::sun::star::uno::Sequence< sal_Unicode > >() does not work as expected.

Since
  UDK 3.2.0

## ◆ getCppuVoidType()

const ::com::sun::star::uno::Type & getCppuVoidType | ( |  | ) |
| inline

Gets the meta type of IDL type void.

Returns
  type of IDL type void

Deprecated
  Use cppu::UnoType instead.

## ◆ getVoidCppuType()

const ::com::sun::star::uno::Type & getVoidCppuType | ( |  | ) |
| inline

Gets the meta type of IDL type void.

Returns
  type of IDL type void

Deprecated
  Use cppu::UnoType instead.